Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(66)

Unified Diff: packages/petitparser/tool/travis.sh

Issue 1400473008: Roll Observatory packages and add a roll script (Closed) Base URL: git@github.com:dart-lang/observatory_pub_packages.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « packages/petitparser/test/test_test.dart ('k') | packages/plugin/._AUTHORS » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: packages/petitparser/tool/travis.sh
diff --git a/packages/petitparser/tool/travis.sh b/packages/petitparser/tool/travis.sh
new file mode 100755
index 0000000000000000000000000000000000000000..ae843214cf2918512f39917bc8379c2b51c9a143
--- /dev/null
+++ b/packages/petitparser/tool/travis.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Fast fail the script on failures.
+set -e
+
+# Verify that the libraries are error free.
+dartanalyzer --fatal-warnings \
+ lib/*.dart \
+ test/*.dart
+
+# Verify that all the tests pass.
+pub run test
+
+# Verify the coverage of the tests.
+if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
+ pub global activate dart_coveralls
+ pub global run dart_coveralls report \
+ --token $COVERALLS_TOKEN \
+ --retry 2 \
+ --exclude-test-files \
+ test/all_tests.dart
+fi
« no previous file with comments | « packages/petitparser/test/test_test.dart ('k') | packages/plugin/._AUTHORS » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698